# Function buildObjectTrees

- buildObjectTrees(opts: ExtractOpts): Promise<ExtractResult>

  builds object trees for 'views/pages' with branches for all possible paths

  #### Parameters

  - opts: ExtractOpts

    filter and entry pages options. If 'entryPages' is an array, those will be the start nodes of the first graphs

  #### Returns Promise<ExtractResult>

  root nodes

  - Defined in packages/saltcorn-data/diagram/node_extract_utils.ts:63